#!/usr/bin/perl
use HTML::TokeParser;
use LWP::Simple;

# The city's ID from tv4.se
# Enter your city in "Sk ort"
# The city ID can be found in the link to your city 
# example: Lund = 112081 
my $city = 112081;

# The path to the images.
# Don't forget a slash at the end of the path 
my $path = "../weatherpics/";


my $URL="http://tv4.se/vader/locationForecast.asp?lid=$city";
my $page=get($URL);

$page  =~ s/.*Start right now forecast -->(.*)<!-- end 4Day forecast -->.*/$1/s;
my $p = HTML::TokeParser->new(\$page);
while ( my $token = $p->get_token  ) {
    if (  $token->[0] eq "T" ){
	$tmp = $token->[1];
        $tmp =~ s/.*//g;
    	if (length($tmp) == 0){
            $tmp =   $token->[1];
            $tmp =~ s/(\d+)$/$1C/;
	    print $tmp,"\n";
  	}
    }
    if (  $token->[0] eq "S" ){
	if ( $token->[1] eq "img"){
            $tmp = $token->[2]{src};
            #$tmp =~ s/(weathersymbols)\/now(.*)/$1$2/;
            #$tmp =~ s/\.gif$/\.png/;
	    print( $path,$tmp, "\n");
	}
    }
}
