#!/usr/bin/perl

use LWP::UserAgent;
use HTML::TokeParser;


my $url = @ARGV[0];
my $ua = new LWP::UserAgent;

$url = "http://$url" unless($url =~ /^http:\/\//);

if($ENV{'http_proxy'}){
	$ua->env_proxy;
	$ua->proxy(http => $ENV{'http_proxy'});
}

my $req = new HTTP::Request 'GET',"$url";
# uncomment if you need it
# $req->quthorization_basic("user","pass");
my $res = $ua->request($req);
$res->is_success or die("didn't work $!");

my $page = $res->as_string;
my $p = HTML::TokeParser->new(\$page);
while ( $token = $p->get_tag("title") ) {
      my $title = $p->get_trimmed_text("/title");
      my $link = $p->get_trimmed_text("/link");
      print "$title\n$link\n";
} 

